at.chipkarte.client.elgaad.soap

## Class Adresse

- Object
- - at.chipkarte.client.elgaad.soap.Adresse

-     public class Adresse
      extends Object

  Adressdaten. Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob die Adresse zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Adresse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAdditionalLocator()` Zusätzliche Adressinformationen.
    `String` | `getCity()` Stadt.
    `String` | `getCountry()` Staat.
    `String` | `getHouseNumber()` Hausnummer.
    `String` | `getPostalCode()` Postleitzahl.
    `String` | `getState()` Bundesland.
    `String` | `getStreetName()` Strasse.
    `String` | `getUse()` Die genaue Bedeutung der angegebenen Adresse, beispielsweise dass die angegebene Adresse die Wohn-Adresse ist.
    `void` | `setAdditionalLocator(String additionalLocator)`
    `void` | `setCity(String city)`
    `void` | `setCountry(String country)`
    `void` | `setHouseNumber(String houseNumber)`
    `void` | `setPostalCode(String postalCode)`
    `void` | `setState(String state)`
    `void` | `setStreetName(String streetName)`
    `void` | `setUse(String use)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Adresse

          public Adresse()

  - ### Method Detail

    - #### getUse

          public String getUse()

      Die genaue Bedeutung der angegebenen Adresse, beispielsweise dass die angegebene Adresse die Wohn-Adresse ist.
      Eingabebedingung:
      Erfassung: Kann. Bei Erfassung der Adresse für die Organisation `Organization` gilt: Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS anhand der Ordinationsadresse.
      Änderung: Kann. Bei Erfassung der Adresse für die Organisation `Organization` gilt: Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS anhand der Ordinationsadresse.
      Ausgabebedingung: Kann.
      mögliche Werte: Value-Set "ELGA_AddressUse"
      Returns:
        use.

    - #### getStreetName

          public String getStreetName()

      Strasse. Beinhaltet unter Umständen bereits die Hausnummer.
      Eingabebedingung:
      Erfassung: Kann. Bei Erfassung der Adresse für die Organisation `Organization` gilt: Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS anhand der Ordinationsadresse.
      Änderung: Kann. Bei Erfassung der Adresse für die Organisation `Organization` gilt: Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS anhand der Ordinationsadresse.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Strasse.

    - #### getHouseNumber

          public String getHouseNumber()

      Hausnummer.
      Eingabebedingung:
      Erfassung: Kann. Bei Erfassung der Adresse für die Organisation `Organization` gilt: Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS anhand der Ordinationsadresse.
      Änderung: Kann. Bei Erfassung der Adresse für die Organisation `Organization` gilt: Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS anhand der Ordinationsadresse.
      Ausgabebedingung: Kann.
      Format: alphanumerisch.
      Returns:
        Hausnummer.

    - #### getPostalCode

          public String getPostalCode()

      Postleitzahl.
      Eingabebedingung:
      Erfassung: Kann. Bei Erfassung der Adresse für die Organisation `Organization` gilt: Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS anhand der Ordinationsadresse.
      Änderung: Kann. Bei Erfassung der Adresse für die Organisation `Organization` gilt: Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS anhand der Ordinationsadresse.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Plz.

    - #### getCity

          public String getCity()

      Stadt.
      Eingabebedingung:
      Erfassung: Kann. Bei Erfassung der Adresse für die Organisation `Organization` gilt: Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS anhand der Ordinationsadresse.
      Änderung: Kann. Bei Erfassung der Adresse für die Organisation `Organization` gilt: Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS anhand der Ordinationsadresse.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Stadt.

    - #### getState

          public String getState()

      Bundesland.
      Eingabebedingung:
      Erfassung: Kann. Bei Erfassung der Adresse für die Organisation `Organization` gilt: Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS anhand der Ordinationsadresse.
      Änderung: Kann. Bei Erfassung der Adresse für die Organisation `Organization` gilt: Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS anhand der Ordinationsadresse.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Bundesland.

    - #### getCountry

          public String getCountry()

      Staat.
      Eingabebedingung:
      Erfassung: Kann. Bei Erfassung der Adresse für die Organisation `Organization` gilt: Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS anhand der Ordinationsadresse.
      Änderung: Kann. Bei Erfassung der Adresse für die Organisation `Organization` gilt: Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS anhand der Ordinationsadresse.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Staat.

    - #### getAdditionalLocator

          public String getAdditionalLocator()

      Zusätzliche Adressinformationen.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Format: alphanumerisch.
      Returns:
        zusätzliche Adressinformation.

    - #### setUse

          public void setUse(String use)

    - #### setStreetName

          public void setStreetName(String streetName)

    - #### setHouseNumber

          public void setHouseNumber(String houseNumber)

    - #### setPostalCode

          public void setPostalCode(String postalCode)

    - #### setCity

          public void setCity(String city)

    - #### setState

          public void setState(String state)

    - #### setCountry

          public void setCountry(String country)

    - #### setAdditionalLocator

          public void setAdditionalLocator(String additionalLocator)